Get a Kubernetes bare metal node
GET/v1/hosts/kubernetes_baremetal_nodes/{server_id}
A request to /v1/hosts/kubernetes_baremetal_nodes/{server_id} will show details of a bare metal node specified in the path parameter.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
| Field | Details |
|---|---|
server_id | stringA unique identifier of a server used for a node. To find it out, proceed to the relevant request. |
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/hosts/kubernetes_baremetal_nodes/46dBnnd7"{ "id": "46dBnnd7", "kubernetes_cluster_id": "Vyb8mdvA", "kubernetes_cluster_node_id": "lNbWJayg", "kubernetes_cluster_node_number": 25, "rack_id": "MvbmEAbY", "title": null, "location_id": 668, "location_code": "location1365", "status": "active", "operational_status": "normal", "power_status": "powered_on", "configuration": "REMM R123", "private_ipv4_address": "10.0.0.96", "public_ipv4_address": "169.254.0.96", "lease_start_at": "2025-12-29", "scheduled_release_at": null, "type": "kubernetes_baremetal_node", "oob_ipv4_address": "198.29.114.3", "configuration_details": { "ram_size": null, "server_model_id": null, "server_model_name": null, "bandwidth_id": null, "bandwidth_name": null, "private_uplink_id": null, "private_uplink_name": null, "public_uplink_id": null, "public_uplink_name": null, "operating_system_id": null, "operating_system_full_name": null }, "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" }, "created_at": "2025-12-31T00:00:00Z", "updated_at": "2025-12-31T00:00:00Z"}